import { ReactNode } from 'react';
import { BoxProps } from '@mui/material';
import { LoadingButtonProps } from '@mui/lab';
declare module '@mui/lab' {
    interface LoadingButtonPropsSizeOverrides {
        tiny: true;
    }
}
export interface GuiLoadingButtonProps extends LoadingButtonProps {
    label?: ReactNode;
    startIcon?: ReactNode;
    endIcon?: ReactNode;
    startIconName?: string;
    endIconName?: string;
    component?: React.ElementType;
    onClick?: (event: React.MouseEvent<HTMLButtonElement>) => void;
    loading?: boolean;
    loadingPosition?: 'start' | 'end' | 'center';
    loadingIndicator?: ReactNode;
    children?: ReactNode;
    className?: string;
    style?: React.CSSProperties;
    boxProps?: BoxProps;
    props?: LoadingButtonProps;
}
