import { ReactNode } from 'react';
import { BoxProps, Theme, SxProps } from '@mui/material';
import { DateTimePickerProps } from '@mui/x-date-pickers';
export interface GuiDateTimeRangePickerProps {
    label?: ReactNode;
    labelWidth?: string | number;
    labelTextAlign?: "left" | "center" | "right";
    required?: boolean;
    variant?: "desktop" | "mobile" | "static";
    width?: string | number;
    size?: "small" | "medium";
    disabled?: boolean;
    readOnly?: boolean;
    ampm?: boolean;
    minDate?: Date;
    maxDate?: Date;
    minDateTime?: Date;
    maxDateTime?: Date;
    delimiter?: ReactNode;
    inputFormat?: string;
    mask?: string;
    helperText?: string;
    today?: boolean;
    onChangeStart: (date: Date, keyboardInputValue?: string) => void;
    valueStart: Date | null;
    onChangeEnd: (date: Date, keyboardInputValue?: string) => void;
    valueEnd: Date | null;
    renderInput?: any;
    sx?: SxProps<Theme>;
    children?: ReactNode;
    className?: string;
    style?: React.CSSProperties;
    boxProps?: BoxProps;
    props?: DateTimePickerProps<any, any>;
}
