import React from 'react';
import { BoxProps } from '@mui/material';
export default interface GuiTimeInputProps {
    label?: React.ReactNode;
    labelWidth?: string | number;
    labelTextAlign?: "left" | "center" | "right";
    required?: boolean;
    width?: string | number;
    size?: "small" | "medium";
    disabled?: boolean;
    readOnly?: boolean;
    delimiter?: React.ReactNode;
    onChange?: (date: Date, event: any) => void;
    value?: Date;
    className?: string;
    boxProps?: BoxProps;
}
