import { ReactNode } from "react";
import { BoxProps, BaseTextFieldProps, InputProps } from "@mui/material";
export interface GuiTextareaProps extends BaseTextFieldProps {
    label?: ReactNode;
    labelWidth?: string | number;
    labelTextAlign?: "left" | "center" | "right";
    required?: boolean;
    width?: string | number;
    size?: "small" | "medium";
    placeholder?: string;
    disabled?: boolean;
    readOnly?: boolean;
    rows?: string | number;
    maxRows?: string | number;
    minRows?: string | number;
    autoHeight?: boolean;
    autoFocus?: boolean;
    onChange?: InputProps["onChange"];
    children?: React.ReactNode;
    className?: string;
    style?: React.CSSProperties;
    boxProps?: BoxProps;
    props?: BaseTextFieldProps;
}
