/// <reference types="react" />
import { WithGuiTheme } from "../../../../assets/theme";
declare const IconMenuWrap: import("@emotion/styled").StyledComponent<(({
    hidden?: boolean;
    verticalMove?: boolean;
} & WithGuiTheme) | ({
    hidden?: boolean;
    verticalMove?: boolean;
} & WithGuiTheme & {
    children?: import("react").ReactNode;
})) & {
    theme?: import("@emotion/react").Theme;
}, {}, {}>;
declare const TextMenuWrap: import("@emotion/styled").StyledComponent<(({
    hidden?: boolean;
    verticalMove?: boolean;
} & WithGuiTheme) | ({
    hidden?: boolean;
    verticalMove?: boolean;
} & WithGuiTheme & {
    children?: import("react").ReactNode;
})) & {
    theme?: import("@emotion/react").Theme;
}, {}, {}>;
declare const ShowButton: import("@emotion/styled").StyledComponent<(({
    hidden?: boolean;
    verticalMove?: boolean;
} & WithGuiTheme & {
    children?: import("react").ReactNode;
    classes?: Partial<import("@mui/material").IconButtonClasses>;
    color?: "inherit" | "default" | "primary" | "secondary" | "error" | "info" | "success" | "warning";
    disabled?: boolean;
    disableFocusRipple?: boolean;
    edge?: false | "start" | "end";
    size?: "small" | "medium" | "large" | "xTiny" | "tiny";
    sx?: import("@mui/material").SxProps<import("@mui/material").Theme>;
} & Omit<{
    action?: import("react").Ref<import("@mui/material").ButtonBaseActions>;
    centerRipple?: boolean;
    children?: import("react").ReactNode;
    classes?: Partial<import("@mui/material").ButtonBaseClasses>;
    disabled?: boolean;
    disableRipple?: boolean;
    disableTouchRipple?: boolean;
    focusRipple?: boolean;
    focusVisibleClassName?: string;
    LinkComponent?: import("react").ElementType<any>;
    onFocusVisible?: import("react").FocusEventHandler<any>;
    sx?: import("@mui/material").SxProps<import("@mui/material").Theme>;
    tabIndex?: number;
    TouchRippleProps?: Partial<import("@mui/material/ButtonBase/TouchRipple").TouchRippleProps>;
    touchRippleRef?: import("react").Ref<import("@mui/material/ButtonBase/TouchRipple").TouchRippleActions>;
}, "classes"> & import("@mui/material/OverridableComponent").CommonProps & Omit<Pick<import("react").DetailedHTMLProps<import("react").ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement>, "key" | keyof import("react").ButtonHTMLAttributes<HTMLButtonElement>> & {
    ref?: import("react").Ref<HTMLButtonElement>;
}, "children" | keyof import("@mui/material/OverridableComponent").CommonProps | "color" | "sx" | "tabIndex" | "action" | "centerRipple" | "disabled" | "disableRipple" | "disableTouchRipple" | "focusRipple" | "focusVisibleClassName" | "LinkComponent" | "onFocusVisible" | "TouchRippleProps" | "touchRippleRef" | "disableFocusRipple" | "edge" | "size">) | ({
    hidden?: boolean;
    verticalMove?: boolean;
} & WithGuiTheme & {
    children?: import("react").ReactNode;
    classes?: Partial<import("@mui/material").IconButtonClasses>;
    color?: "inherit" | "default" | "primary" | "secondary" | "error" | "info" | "success" | "warning";
    disabled?: boolean;
    disableFocusRipple?: boolean;
    edge?: false | "start" | "end";
    size?: "small" | "medium" | "large" | "xTiny" | "tiny";
    sx?: import("@mui/material").SxProps<import("@mui/material").Theme>;
} & Omit<{
    action?: import("react").Ref<import("@mui/material").ButtonBaseActions>;
    centerRipple?: boolean;
    children?: import("react").ReactNode;
    classes?: Partial<import("@mui/material").ButtonBaseClasses>;
    disabled?: boolean;
    disableRipple?: boolean;
    disableTouchRipple?: boolean;
    focusRipple?: boolean;
    focusVisibleClassName?: string;
    LinkComponent?: import("react").ElementType<any>;
    onFocusVisible?: import("react").FocusEventHandler<any>;
    sx?: import("@mui/material").SxProps<import("@mui/material").Theme>;
    tabIndex?: number;
    TouchRippleProps?: Partial<import("@mui/material/ButtonBase/TouchRipple").TouchRippleProps>;
    touchRippleRef?: import("react").Ref<import("@mui/material/ButtonBase/TouchRipple").TouchRippleActions>;
}, "classes"> & import("@mui/material/OverridableComponent").CommonProps & Omit<Pick<import("react").DetailedHTMLProps<import("react").ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement>, "key" | keyof import("react").ButtonHTMLAttributes<HTMLButtonElement>> & {
    ref?: import("react").Ref<HTMLButtonElement>;
}, "children" | keyof import("@mui/material/OverridableComponent").CommonProps | "color" | "sx" | "tabIndex" | "action" | "centerRipple" | "disabled" | "disableRipple" | "disableTouchRipple" | "focusRipple" | "focusVisibleClassName" | "LinkComponent" | "onFocusVisible" | "TouchRippleProps" | "touchRippleRef" | "disableFocusRipple" | "edge" | "size"> & {
    children?: import("react").ReactNode;
})) & {
    theme?: import("@emotion/react").Theme;
}, {}, {}>;
declare const StyledBlind: import("@emotion/styled").StyledComponent<(({
    hidden?: boolean;
    verticalMove?: boolean;
} & WithGuiTheme) | ({
    hidden?: boolean;
    verticalMove?: boolean;
} & WithGuiTheme & {
    children?: import("react").ReactNode;
})) & {
    theme?: import("@emotion/react").Theme;
}, {}, {}>;
export { IconMenuWrap, TextMenuWrap, ShowButton, StyledBlind };
