import { ReactNode } from 'react';
import { BoxProps, AppBarProps } from '@mui/material';
export interface GuiLayoutHeaderProps extends AppBarProps {
    width?: string | number;
    height?: string | number;
    isFullWidth?: boolean;
    logoChildren?: ReactNode;
    infoChildren?: ReactNode;
    badgeChildren?: ReactNode;
    menuChildren?: ReactNode;
    open?: boolean;
    onHeaderMenu?: (event: any) => void;
    anchorEl?: any;
    onHeaderMenuClose?: () => void;
    children?: ReactNode;
    className?: string;
    style?: React.CSSProperties;
    boxProps?: BoxProps;
    props?: AppBarProps;
}
