import React from 'react';
import { TypographyProps } from '@mui/material';
import GuiLegendProps from './GuiLegend.type';
import { WithGuiTheme } from '../../assets/theme';
declare type WithStyled = GuiLegendProps & WithGuiTheme;
declare const styled: (component: React.FC<WithStyled>) => import("@emotion/styled").StyledComponent<GuiLegendProps & WithGuiTheme & {
    children?: React.ReactNode;
} & {
    theme?: import("@emotion/react").Theme;
}, {}, {}>;
export default styled;
interface Props extends GuiLegendProps {
}
export declare const LegendChip: React.FC<Props>;
export declare const LegendText: React.FC<TypographyProps>;
