import React, { CSSProperties } from 'react';
export default interface GuiLegendGroupProps {
    children?: React.ReactNode;
    orientation?: 'horizontal' | 'vertical';
    justifyContent?: 'flex-start' | 'center' | 'flex-end' | 'space-between';
    spacing?: 'compact' | 'normal' | 'wide';
    padding?: 'compact' | 'normal';
    /**
     * Use with `orientation` is `true`.
     * If `true`, `display : inline-flex`.
     * */
    inline?: boolean;
    style?: CSSProperties;
}
