import React from 'react';
import { PaperProps } from '@mui/material';
export default interface PageContentProps extends Omit<PaperProps, 'elevation' | 'variant'> {
    minHeight?: number;
    padding?: 'compact' | 'normal' | boolean;
    children?: React.ReactNode;
    margin?: boolean;
    horizontalMargin?: boolean;
    marginBottomZero?: boolean;
    marginZero?: boolean;
    toggleButton?: boolean;
    toggleOpen?: boolean;
    onClickToggle?: (event: React.MouseEvent<HTMLButtonElement, MouseEvent>) => void;
}
