import React from 'react';
import { GridProps } from '@mui/material';
interface Props extends GridProps {
    horizontal?: boolean;
    columnSize?: ColumnSize;
}
declare type ColumnSize = 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10 | 11 | 12;
declare const PageFormContainer: React.FC<Props>;
declare const FormContext: React.Context<{
    horizontal: boolean;
    columnSize: ColumnSize;
}>;
export default PageFormContainer;
export { FormContext, ColumnSize, };
