import React from "react";
import { GridProps } from "@mui/material";
interface Props extends GridProps {
    label: React.ReactNode;
    backgroundColor?: string;
    alignItems?: "start" | "center" | "end" | "stretch";
    labelAlign?: "left" | "center" | "right";
    /**
     * 소속된 Row 안에서의 최대 너비 부여 / only horizontal
     * */
    autoFillRest?: boolean;
    /**
     * Row 하나를 모두 차지함 / only horizontal
     */
    fullWidth?: boolean;
    padding?: "compact" | "normal";
    required?: boolean;
}
declare const FieldView: React.FC<Props>;
export default FieldView;
export type { Props as FieldProps };
