/// <reference types="react" />
import { TableHeadProps } from '@mui/material';
export default interface GuiTableHeadProps extends TableHeadProps {
    backgroundColor?: string;
    align?: 'inherit' | 'left' | 'center' | 'right' | 'justify';
    resize?: boolean;
    headCells?: any;
    rowCount?: number;
    numSelected?: number;
    onSelectAllClick?: (event: React.ChangeEvent<HTMLInputElement>) => void;
    order?: "asc" | "desc";
    orderBy?: string;
    onRequestSort?: (event: React.MouseEvent<unknown>, property: keyof any) => void;
    filters?: {
        filterId: string;
        value: any;
    }[];
    setFilters?: (newFilters: {
        filterId: string;
        value: any;
    }[]) => void;
}
