/// <reference types="react" />
import { TableRowProps } from "@mui/material";
import basicStyle from "../../../assets/theme/basicStyle";
export interface GuiTableRowProps extends TableRowProps {
    backgroundColor?: keyof typeof basicStyle["color"];
    align?: "inherit" | "left" | "center" | "right" | "justify";
    open?: boolean;
    tableRef?: any;
    dragProps?: any;
    dragStyle?: React.CSSProperties;
}
