import { ReactNode } from 'react';
import { TabsProps, GridProps } from '@mui/material';
export interface GuiTabsProps extends TabsProps {
    arrTabs?: string[] | ReactNode[];
    current?: string | number;
    design?: 'default' | 'contained' | 'outlined';
    size?: 'small' | 'medium' | 'large';
    sideSection?: React.ReactNode;
    index?: string | number;
    className?: string;
    style?: React.CSSProperties;
    gridProps?: GridProps;
    props?: TabsProps;
}
