declare function hexToRgbA(hex: any, alpha: any): string;
declare const compBasicStyle: {
    hexToRgbA: typeof hexToRgbA;
    color: {
        black: string;
        white: string;
        leafGreen: string;
        green: string;
        teal: string;
        cyan: string;
        blue: string;
        indigo: string;
        purple: string;
        pink: string;
        red: string;
        orange: string;
        yellow: string;
        neutrals: string;
        lightGrey: string;
        lightYellow: string;
        lightRed: string;
        grey50: string;
        grey100: string;
        grey200: string;
        grey300: string;
        grey400: string;
        grey500: string;
        grey600: string;
        grey700: string;
        grey800: string;
        grey900: string;
        primaryColor: string;
        secondaryColor: string;
        errorColor: string;
        warningColor: string;
        infoColor: string;
        successColor: string;
        disabledColor: string;
        primaryText: string;
        secondaryText: string;
        errorText: string;
        warningText: string;
        infoText: string;
        successText: string;
        disabledText: string;
        textFieldBorder: string;
        textFieldHoverBorder: string;
        textFieldHoverBackground: string;
        textFieldDisabledBorder: string;
        textFieldDisabledHoverBorder: string;
        textFieldDisabledBackground: string;
        $editedCell: string;
        $warningCell: string;
        $whiteCell: string;
        $currentCell: string;
        $selectedRow: string;
        $requestRow: string;
        $cancelRow: string;
        $disabledRow: string;
        secondary: string;
        skyBlueSelected: string;
        lightRipple: string;
        darkRipple: string;
        primaryLightHover: string;
    };
    font: {
        size: {
            8: string;
            9: string;
            10: string;
            11: string;
            12: string;
            13: string;
            14: string;
            15: string;
            16: string;
            18: string;
            20: string;
            22: string;
            24: string;
            26: string;
            28: string;
            30: string;
            32: string;
            34: string;
            36: string;
            38: string;
            40: string;
        };
    };
    content: {
        header: {
            height: string;
            title: string;
        };
    };
    dialog: {
        header: {};
        content: {
            padding: number;
        };
    };
    tab: {
        minHeight: number;
        height: number;
        borderRadius: number;
    };
    checkbox: {
        size: {
            medium: number;
            small: number;
        };
    };
    button: {
        size: {
            large: number;
            medium: number;
            small: number;
            tiny: number;
            xTiny: number;
        };
    };
    tree: {
        dashedLine: string;
    };
    typography: {
        table: {
            tableHead: number;
            tableBody: number;
        };
    };
    panel: {
        label: {
            minWidth: number;
            maxWidth: number;
            marginTop: number;
        };
    };
    layout: {
        header: {
            height: number;
        };
        side: {
            firstMenu: {
                width: number;
            };
            secondMenu: {
                width: number;
            };
        };
    };
    panelField: {
        marginRight: number;
    };
};
export default compBasicStyle;
