declare function spacing(spacingSize: number, adjustSize?: number): number;
declare function paddingXSpacing(spacingSize: number, adjustSize?: number): {
    paddingLeft: number;
    paddingRight: number;
};
declare function paddingYSpacing(spacingSize: number, adjustSize?: number): {
    paddingTop: number;
    paddingBottom: number;
};
declare function paddingLSpacing(spacingSize: number, adjustSize?: number): {
    paddingLeft: number;
};
declare function paddingRSpacing(spacingSize: number, adjustSize?: number): {
    paddingRight: number;
};
declare function paddingTSpacing(spacingSize: number, adjustSize?: number): {
    paddingTop: number;
};
declare function paddingBSpacing(spacingSize: number, adjustSize?: number): {
    paddingBottom: number;
};
declare function marginXSpacing(spacingSize: number, adjustSize?: number): {
    marginLeft: number;
    marginRight: number;
};
declare function marginYSpacing(spacingSize: number, adjustSize?: number): {
    marginTop: number;
    marginBottom: number;
};
declare function marginLSpacing(spacingSize: number, adjustSize?: number): {
    marginLeft: number;
};
declare function marginRSpacing(spacingSize: number, adjustSize?: number): {
    marginRight: number;
};
declare function marginTSpacing(spacingSize: number, adjustSize?: number): {
    marginTop: number;
};
declare function marginBSpacing(spacingSize: number, adjustSize?: number): {
    marginBottom: number;
};
export { spacing, paddingXSpacing, paddingYSpacing, marginYSpacing, paddingLSpacing, paddingRSpacing, paddingTSpacing, paddingBSpacing, marginXSpacing, marginBSpacing, marginTSpacing, marginLSpacing, marginRSpacing, };
