import * as React from 'react';
import { GuiLoadingButtonProps } from './GuiLoadingButton.type';
/**
 * **GuiButton** 의 모든 속성과 같으므로, **GuiButton과 사용법이 동일**합니다.
 *
 * - `loadingIndicator` 를 통해 `<CircularProgress color="inherit" size={16} />`처럼 주입할 수도 있습니다.
 * - 버튼을 `Click`하면 `Loading`이 시작됩니다.
 */
export declare const GuiLoadingButton: React.FC<GuiLoadingButtonProps>;
export default GuiLoadingButton;
