import { ReactNode } from "react";
import { BoxProps } from "@mui/material";
import { DatePickerProps, CalendarPickerView } from "@mui/x-date-pickers";
import { Duration } from "date-fns";
interface GuiDateNaviProps {
    label?: ReactNode;
    labelWidth?: string | number;
    labelTextAlign?: "left" | "center" | "right";
    required?: boolean;
    width?: string | number;
    size?: "small" | "medium";
    disabled?: boolean;
    readOnly?: boolean;
    unit?: keyof Duration;
    amount?: number;
    onChange?: (date: Date) => void;
    value?: Date;
    timeFormat?: string;
    onClickPrev?: (date?: Date) => void;
    onClickNext?: (date?: Date) => void;
    manual?: boolean;
    views?: readonly CalendarPickerView[];
    openTo?: CalendarPickerView;
    open?: boolean;
    children?: ReactNode;
    className?: string;
    style?: React.CSSProperties;
    boxProps?: BoxProps;
    props?: DatePickerProps<any, any>;
}
export type { GuiDateNaviProps };
