import { ReactNode } from 'react';
import { BoxProps, Theme, SxProps } from '@mui/material';
import { DateRangeProps, Range } from 'react-date-range';
export interface GuiDateRangeCalendarProps extends DateRangeProps {
    width?: string | number;
    disabled?: boolean;
    readOnly?: boolean;
    range?: Range | undefined;
    /**
     * show/hide selection display row. Uses dateDisplayFormat for formatter.
     * @default false
     */
    showDateDisplay?: boolean;
    today?: boolean;
    sx?: SxProps<Theme>;
    children?: ReactNode;
    className?: string;
    style?: React.CSSProperties;
    boxProps?: BoxProps;
    props?: DateRangeProps;
}
