import FileBoxContainer from './FileBoxContainer';
import FileDownloadButton from './sub/FileDownloadButton/FileDownloadButton';
import FileUploadButton from './sub/FileUploadButton/FileUploadButton';
import FileDownloadIconButton from './sub/FileDownloadIconButton/FileDownloadIconButton';
import FileUploadIconButton from './sub/FileUploadIconButton/FileUploadIconButton';
import FileItemView from './sub/FileItem/FileItemView';
import FileListView from './sub/FileList/FileListView';
import FileToggleView from './sub/FileToggle/FileToggleView';
declare type FileBoxComponent = typeof FileBoxContainer & {
    UploadButton: typeof FileUploadButton;
    DownloadButton: typeof FileDownloadButton;
    UploadIconButton: typeof FileUploadIconButton;
    DownloadIconButton: typeof FileDownloadIconButton;
    Item: typeof FileItemView;
    List: typeof FileListView;
    Toggle: typeof FileToggleView;
};
declare const GuiFileBox: FileBoxComponent;
export default GuiFileBox;
