import { ReactNode } from 'react';
import { BoxProps } from '@mui/material';
export interface GuiLabelProps {
    label?: ReactNode;
    labelWidth?: string | number;
    labelTextAlign?: "left" | "center" | "right";
    direction?: "column" | "row";
    width?: string | number;
    minHeight?: string | number;
    /**
     * if true, the label will indicate that the input is required.
     */
    required?: boolean;
    children?: ReactNode;
    className?: string;
    style?: React.CSSProperties;
    boxProps?: BoxProps;
    props?: any;
}
