import React from "react";
import { BoxProps, ButtonProps } from "@mui/material";
import { MenuGroupModel, MenuItemModel } from "../shared";
export default interface LayoutSideProps extends BoxProps {
    verticalMove?: boolean;
    style?: React.CSSProperties;
    hidden?: boolean;
    onClickHideButton?: () => void;
    activeMenuId?: string;
    menuGroups?: MenuGroupModel[];
    onRouteToMenu?: (menuItem: MenuItemModel) => void;
    onClickMenu?: ButtonProps["onClick"];
    fullscreen?: boolean;
    subGroupId?: string;
    menuItemId?: string;
}
