import { ReactNode } from 'react';
import { BoxProps, RadioGroupProps } from '@mui/material';
export interface GuiRadioGroupProps extends RadioGroupProps {
    groupLabel?: ReactNode;
    labelWidth?: string | number;
    labelTextAlign?: "left" | "center" | "right";
    required?: boolean;
    width?: string | number;
    /**
     * The name used to reference the value of the control.
     * If you don't provide this prop, it falls back to a randomly generated name.
     */
    name?: string;
    /**
     * Display group of elements in a compact row.
     * @default false
     */
    row?: boolean;
    children?: ReactNode;
    className?: string;
    style?: React.CSSProperties;
    boxProps?: BoxProps;
    props?: any;
}
