import React from "react";
interface Caption {
    total?: string | number;
    unit?: string;
}
interface ContentHeaderProps {
    helpText?: string | HelpTextProps;
    title?: string | React.ReactNode;
    caption?: Caption;
    captionRender?: React.ReactNode;
}
interface HelpTextProps {
    type: "notice" | "info" | "warning" | "error";
    helpText: string | React.ReactNode;
}
declare const TitleView: React.FC<ContentHeaderProps>;
export default TitleView;
