import PagePanelContainer from './PagePanelContainer';
import { Field, Actions, ClearButton, SearchButton, LoadingButton } from './sub';
import { PanelGroup } from './shared';
declare type PagePanelComponent = typeof PagePanelContainer & {
    Group: typeof PanelGroup;
    Field: typeof Field;
    Actions: typeof Actions;
    ClearButton: typeof ClearButton;
    SearchButton: typeof SearchButton;
    LoadingButton: typeof LoadingButton;
};
declare const PagePanel: PagePanelComponent;
export default PagePanel;
