import React from "react";
import { BoxProps } from "@mui/material";
declare type RenderComp = {
    header?: React.ReactNode;
    footer?: React.ReactNode;
};
export default interface PanelContainerViewProps extends BoxProps {
    renderComponent?: RenderComp;
    padding?: "compact" | "normal" | number;
    textAlign?: "left" | "center" | "right";
    labelMinWidth?: number;
    labelMaxWidth?: number;
    labelColor?: string;
    disableFold?: boolean;
    columnSpacing?: number;
    verticalMove?: boolean;
    isCollapse?: boolean;
    onFold?: (folded: boolean) => void;
}
export {};
