/// <reference types="react" />
import { GridProps, GridSize } from '@mui/material';
export interface PanelFieldProps extends GridProps {
    label?: React.ReactNode;
    labelPlacement?: 'end' | 'start' | 'top' | 'bottom';
    textAlign?: 'left' | 'center' | 'right';
    labelMinWidth?: string | number;
    labelMaxWidth?: string | number;
    labelStartIcon?: React.ReactNode;
    labelEndIcon?: React.ReactNode;
    required?: boolean;
    fullWidth?: boolean;
    columnSize?: Omit<GridSize, 'auto'>;
}
