import { ReactNode } from 'react';
import { BoxProps, SelectProps } from '@mui/material';
export interface GuiSelectProps extends SelectProps {
    label?: ReactNode;
    labelWidth?: string | number;
    labelTextAlign?: "left" | "center" | "right";
    required?: boolean;
    width?: string | number;
    size?: "small" | "medium";
    placeholder?: string;
    disabled?: boolean;
    readOnly?: boolean;
    displayEmpty?: boolean;
    textAlign?: "left" | "center" | "right";
    arrOption?: Array<{
        value: string | number;
        label?: string | ReactNode;
    }>;
    value?: (string | number | {
        value?: string | number;
        label?: string | ReactNode;
    }) | (Array<string | number | {
        value?: string | number;
        label?: string | ReactNode;
    }>);
    onClear?: () => void;
    children?: ReactNode;
    className?: string;
    style?: React.CSSProperties;
    boxProps?: BoxProps;
    props?: SelectProps;
}
