import { ReactNode } from 'react';
import { BoxProps, SwitchProps } from '@mui/material';
export interface GuiSwitchProps extends SwitchProps {
    label?: ReactNode;
    labelPlacement?: "bottom" | "top" | "end" | "start";
    color?: "primary" | "secondary" | "error" | "info" | "success" | "warning" | "default";
    size?: "small" | "medium";
    disabled?: boolean;
    boxProps?: BoxProps;
    props?: SwitchProps;
}
