/// <reference types="react" />
import { BoxProps } from "@mui/material";
import { VirtualElement } from "@popperjs/core";
export default interface GuiTableFilterLabelProps extends BoxProps {
    id?: string | undefined;
    open?: boolean;
    anchorEl?: null | VirtualElement | (() => VirtualElement);
    onClickFilter?: (event: React.MouseEvent<HTMLButtonElement>) => void;
    isActived?: boolean;
    isactived?: string;
    filterId?: string;
    updateFilters?: (filterId: string, value: string) => void;
}
