export declare function descendingComparator<T>(a: T, b: T, orderBy: string): 1 | -1 | 0;
declare type Order = "asc" | "desc";
export declare function getComparator<T>(order: Order, orderBy: string): (a: T, b: T) => number;
export declare function stableSort<T>(array: readonly T[], order: Order, orderBy: string): T[];
declare class GuiTableController {
    private createdRows;
    private updatedRows;
    private deletedRows;
    getRows: () => {
        createdRows: any[];
        updatedRows: any[];
        deletedRows: any[];
    };
    clearRow: () => void;
    createRow: (row: any) => void;
    updateRow: (row: any, ids: string[]) => void;
    deleteRow: (row: any, ids: string[]) => void;
}
export declare function getGuiTableController(): GuiTableController;
export {};
