import { ReactNode } from 'react';
import { BoxProps } from '@mui/material';
export interface GuiTitleSectionProps {
    title?: ReactNode;
    subTitle?: ReactNode;
    /**
     * Shadow depth, corresponds to `dp` in the spec.
     * It accepts values between 0 and 24 inclusive.
     * @default 1
     */
    elevation?: number;
    isFlex?: boolean;
    isSpace?: boolean;
    arrBreadcrumbs?: Array<{
        name: string;
        url?: string;
    }>;
    childrenBreadcrumbs?: ReactNode;
    children?: ReactNode;
    className?: string;
    style?: React.CSSProperties;
    boxProps?: BoxProps;
    props?: any;
}
